[android-components](../../../index.md) / [mozilla.components.feature.top.sites](../../index.md) / [TopSite](../index.md) / [Type](./index.md)

# Type

`enum class Type` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/top-sites/src/main/java/mozilla/components/feature/top/sites/TopSite.kt#L26)

The type of a [TopSite](../index.md).

### Enum Values

| Name | Summary |
|---|---|
| [DEFAULT](-d-e-f-a-u-l-t.md) | This top site was added as a default by the application. |
| [PINNED](-p-i-n-n-e-d.md) | This top site was pinned by an user. |
| [FRECENT](-f-r-e-c-e-n-t.md) | This top site is auto-generated from the history storage based on the most frecent site. |
